# Where to begin

It takes time to adopt a new way of thinking about and solving problems. Lagom provides guidance with its framework, but ultimately it is up to you &#8212; and possibly others in your organization &#8212; to apply the principles in your domain. You will be able to do this successfully by fully understanding what motivates use of microservices and how they impact not just the resulting system, but the development process itself.

[Reactive Microservices Architecture: Design Principles for Distributed Systems](https://info.lightbend.com/COLL-20XX-Reactive-Microservices-Architecture-RES-LP.html), by Jonas Bonér, describes how reactive microservices systems can satisfy the ever-increasing demands of modern software. He notes the positive effect when adopting such systems:

> As we detangle our systems, we shift the power from central governing bodies to smaller teams who can seize opportunities rapidly and stay nimble because they understand the software within well defined boundaries that they control.

We strongly recommend reading Bonér's book before learning Lagom. Much of the documentation builds upon and refers to it. (You can download it for free from the [Lightbend website](https://www.lightbend.com/resources/e-books).)

Choose the next step that's right for you:

* Take Lagom for a quick spin by creating and running a [[Hello World|IntroGetStarted]] app.
* Read [[Core Concepts|CoreConcepts]] to understand how the Lagom framework puts microservice-based design principles into practice.
